OPENVT(1)

BEZEICHNUNG
openvt - ein Programm in einem neuen virtuellen Terminal (VT) starten.

ÜBERSICHT
openvt [-c VT-Nummer] [OPTIONEN] [--] Befehl

BESCHREIBUNG
openvt findet das erste verfügbare virtuelle Terminal (VT) und führt darauf den angegebenen Befehl mit den angegebenen OPTIONEN aus, wobei Standardeingabe, Standardausgabe und Standardfehlerausgabe an dieses Terminal geleitet werden. Der aktuelle Suchpfad ($PATH) wird zum Finden des angeforderten Befehls verwendet. Wird kein Befehl angegeben, wird die Umgebungsvariable $SHELL verwendet.

  OPTIONEN

-c, --console=VTNNUMMER
    verwendet die angegebene VT-Nummer anstelle des ersten verfügbaren. Beachten Sie, dass Sie über Schreibzugriff auf das angegebene VT verfügen müssen, damit dies funktioniert.

-f, --force
    erzwingt das Öffnen eines VT, ohne zu prüfen, ob es bereits verwendet wird.

-e, --exec
    führt den angegebenen Befehl direkt aus, ohne es mit fork() zu starten. Diese Option ist für die Verwendung in /etc/inittab gedacht. Wenn Sie diese Funktion in einem anderen Kontext verwenden wollen, achten Sie darauf, dass openvt der Sitzungsleiter sein muss, damit -e funktioniert. In setsid(2) oder setsid(1) finden Sie weitere Informationen, wie Sie dies erreichen können.

-s, --switch
    wechselt beim Starten des Befehls zum neuen VT. Das VT des neuen Befehls wird zum neuen aktuellen VT.

-u, --user
    ermittelt den Benutzer des aktuellen VTs und führt login(1) als dieser Benutzer aus. Dies ist zum Aufruf durch init geeignet. Es sollte nicht mit -c oder -l verwendet werden.

-l, --login
    macht den Befehl zur Anmeldeshell. Dem auszuführenden Befehl wird ein - vorangestellt.

-v, --verbose
    schreibt ausführlichere Ausgaben.

-w, --wait
    wartet auf den Abschluss der Ausführung des Befehls. Falls -w und -s zusammen verwendet werden, wechselt openvt zurück zum steuernden Terminal, sobald die Befehlsausführung abgeschlossen ist.

-V, --version
    gibt die Programmversion aus und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

--  markiert das Ende der Optionen für openvt.

ANMERKUNGEN
Falls openvt mit getopt_long() kompiliert ist und Sie Optionen an den auszuführenden Befehl übergeben wollen, dann müssen Sie vor den Befehl die Ende-der-Optionen-Markierung -- setzen.

BEISPIELE
openvt kann mit folgendem Befehl zum Starten einer Shell auf dem nächsten freien VT verwendet werden:

openvt bash

Um eine Shell als Anmeldeshell zu starten, geben Sie Folgendes ein:

openvt -l bash

Um eine lange Auflistung zu erhalten, müssen Sie -- als Trenner
    verwenden:

openvt -- ls -l

GESCHICHTE
Frühere Versionen von openvt hießen open. Es wurde von Jon Tombs <jon@gtex02.us.es> oder <jon@robots.ox.ac.uk> geschrieben. Die Idee für -w stammt von »sam«.

SIEHE AUCH
chvt(1), deallocvt(1), vlock(1), login(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.